
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des payments</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Gestion des facture
                </li>
                <li class="breadcrumb-item active">Liste des payments
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
       
        
        <br/>
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Mode payment</th>
                  <th>Montant</th>
                  <th>Date</th>
                  <th>Description</th>
                  <th>Facture</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let p of payments; index as i;">
                  
  
                  <td>{{p.mode}}</td>
                  <td>{{p.montant}}</td>
                  <td>{{p.date}}</td>
                  <td>{{p.description}}</td>
                  <td>
                    <ng-container *ngIf="!(p.FactureId === null)">

                      <a href="VoirFacture?id={{p.FactureId}}">FACTURE-{{p.FactureId.substr(0, 5)}}</a>
                    
                    
                    </ng-container>
                    
                    
                    <ng-container *ngIf="!(p.ContratId === null) ">
                    
                      INV-{{p.id.substr(0, 5)}}
                    
                    
                    </ng-container>
                  </td>
                
                  <td> 

                    <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                        <i class="material-icons">arrow_drop_down</i>
                      </a>
                      <ul id='dropdown{{i}}' class='dropdown-content' >
                      <li><a class="modal-trigger" (click)="getOne(p.id)" href="#modal1"> Voir</a></li>
                      <li><a class="modal-trigger" (click)="getOne(p.id)"  href="#modal2"> Modifier</a></li>
                      <li><a class="modal-trigger" (click)="delete(p.id)" >Supprimper</a></li>
                   
                      </ul>

                  </td>
                
                
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  
  
    
  </div><!-- START RIGHT SIDEBAR NAV -->
  
 
  <div id="modal1" class="modal" style="width: 40%;">
    <form > 
    <div class="modal-content" style="margin-left: 50px; margin-right: 50px;">
      <h5>Payement
      </h5>
      <br>
      <div class="card-content invoice-print-area" id="content"> 
        <!-- header section -->
        <div class="row">
          <div class="col  s12">
            <span >facture: </span>
            <ng-container *ngIf="!(payment.facture === null)">

              <span>{{payment.facture}}</span>

            
            </ng-container>
            
            
            <ng-container *ngIf="!(payment.contrat === null) ">
              <span>{{payment.contrat}}</span>

            
            
            </ng-container>
          <br/>
            <span >Mode Payement: </span>
            <span>{{payment.mode}}</span>
            <br/>
            <span>Date: </span>
            <span>{{payment.date}}</span>
          </div>
         
        </div>
     
        <div class="divider mb-3 mt-3"></div>
        <!-- invoice address and contact -->
        <div class="row invoice-info">
          <div class="col m6 s12">
            <div class="invoice-address">
              <small class="invoice-number mr-1">description:</small>
              <span>{{payment.description}}</span>
            </div>
            
            
           
          </div>
          
        </div>
     
        <!-- invoice subtotal -->
        <div class="divider mt-3 mb-3"></div>
        <div class="invoice-subtotal">
          <div class="row">
            <div class="col m5 s12">
              <p>.</p>
  
            
            </div>
            <div class="col xl4 m7 s12 offset-xl3">
              <ul>
               
               
                
                <li class="divider mt-2 mb-2"></li>
                <li class="display-flex justify-content-between">
                  <span class="invoice-subtotal-title">Montant</span>
                  <h6 class="invoice-subtotal-value" style="font-size: 12px;">{{payment.montant}} Dt</h6>
                </li>
                
              </ul>
            </div>
          </div>
         
        </div>
      </div>
     
    
    
  
      <div class="modal-footer">
        <a  class="btn-block btn btn-light-indigo waves-effect waves-light invoice-print">
          <span>Imprimer</span>
        </a>
       </div>
  
  </div>
  </form> 
  
  </div>

 
  <div id="modal2" class="modal modal-fixed-footer" >
    <form  #for="ngForm" (ngSubmit)="update(for.value)">
      <div class="modal-content" >
        <h4>Payments</h4>
        <br>
    
     
  
          <div class="input-field col s6">
            <select name="mode" [(ngModel)]="payment.mode" #mode="ngModel" required>
              <option value="cheque" >cheque</option>
              <option value="virement">virement</option>
              <option value="espece" >espece</option>
             
            </select>
  
            <label for="name2" class="active">Mode*</label>
          </div>
          <div class="input-field col s6" >
            <input  id="name3" class="validate" type="date" name="date" [(ngModel)]="payment.date" #date="ngModel" required>
            <label for="name2">Date*</label>
          </div>
          <div class="input-field col s6">
            <input  id="name3" class="validate" type="number" name="montant" [(ngModel)]="payment.montant" #montant="ngModel"  required>
            <label for="name2" class="active">Montant*</label>
          </div>
          <div class="input-field col s6">
            <input  id="name3" class="validate" type="text" name="description" [(ngModel)]="payment.description" #description="ngModel"  required>
            <label for="name2" class="active">Description*</label>
          </div>
        
         
         
         </div>
      
      <div class="modal-footer">
         <button   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
      </div>
    </form>
  </div>